summaryrefslogtreecommitdiff
path: root/scripts/repo-add.sh.in
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2016-02-07 20:59:09 +1000
committerAllan McRae <allan@archlinux.org>2016-02-20 14:01:53 +1000
commit0fa695d0e3862bf343804892c51d3793dd90be60 (patch)
tree3d9c9622a20e0f0a6899dda0bd6ace587d7a6a4a /scripts/repo-add.sh.in
parent50a2db4834906d83651c9e3cd4392adade6b6855 (diff)
downloadpacman-0fa695d0e3862bf343804892c51d3793dd90be60.tar.xz
repo-remove: fix checking for non-existent .db database
Signed-off-by: Allan McRae <allan@archlinux.org>
Diffstat (limited to 'scripts/repo-add.sh.in')
-rw-r--r--scripts/repo-add.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/repo-add.sh.in b/scripts/repo-add.sh.in
index 7680d315..cab5e048 100644
--- a/scripts/repo-add.sh.in
+++ b/scripts/repo-add.sh.in
@@ -547,8 +547,8 @@ prepare_repo_db() {
# TODO: remove if statement
if [[ $repo == "db" ]]; then
error "$(gettext "Repository file '%s' was not found.")" "$dbfile"
+ exit 1
fi
- exit 1
;;
repo-add)
# check if the file can be created (write permission, directory existence, etc)